
var appId = 'wx40911f91fd6c6cf2'
var rootUrl = 'https://api.pumanpig.com/api/'
var biz = 'MzU2Mjc3OTUzNQ=='

if (location.host.substr(0, 4) === 'test' || location.host.substr(0, 9) === 'localhost' || window.shipEnv === 'appdev') {
  rootUrl = 'https://test-piggy-bank.hupofintech.com/api/'
  appId = 'wx81fe0cd856ed8f28'
  biz = 'MzIzNzkxNDc0Nw=='
}

var token = ''
window.appId = appId
window.biz = biz


function getQueryStringByName(name) {
  var result = location.search.match(new RegExp('[?&]' + name + '=([^&]+)', 'i'))
  if (result == null || result.length < 1) {
    return ''
  }
  return result[1]
}

// 获取cookie、
function getCookies(name) {
  var reg = new RegExp('(^| )' + name + '=([^;]*)(;|$)')
  var arr = document.cookie.match(reg)
  if (arr) {
    return arr[2]
  } else {
    return null
  }
}

// 获取cookie、
function getCookie(name) {
  return localStorage.getItem(name) || getCookies(name)
}

// 设置cookie,增加到vue实例方便全局调用
function setCookie(c_name, value, expireHours) {
  localStorage.setItem(c_name, value)
  var exdate = new Date()
  exdate = new Date(exdate.valueOf() + expireHours * 3600 * 1000)
  document.cookie = c_name + '=' + escape(value) + (expireHours == null ? '' : ';expires=' + exdate.toGMTString())
}

function handleCookie(data) {
  userMobile = data.data.mobile ? data.data.mobile : ''
  logoUrl = data.data.logoUrl
  nickName = encodeURIComponent(data.data.nickName)
  token = data.data['hp-token']
  openId = data.data.openId
  uId = data.data.uid
  setCookie('hp-token', token, 100)
  setCookie('openId', openId, 100)
  setCookie('nickName', nickName, 100)
  setCookie('logoUrl', logoUrl, 100)
  setCookie('uId', uId, 100)
  setCookie('userId', uId, 100)
  setCookie('userMobile', userMobile || '', 100)

  // 如果是短链则跳转回r.html
  var shortUrlKey = getCookie('shortUrlKey')
  if (shortUrlKey) {
    location.href = location.origin + '/r.html?uid=' + shortUrlKey
    setCookie('shortUrlKey', '')
  } else {
    var route = getCookie('loginReturnRoute')
    var urlSearch = getCookie('urlSearch')
    if (route) {
      location.href = location.origin + '/index.html#/' + route + decodeURIComponent(urlSearch)
      setCookie('loginReturnRoute', '')
      setCookie('urlSearch', '')
    } else {

      if (urlSearch) {
        location.href = location.origin + '/index.html' + decodeURIComponent(urlSearch)
      } else {
        location.href = location.origin + '/index.html?time=' + new Date().valueOf()
      }
    }
  }


}

function addEruda() {
  var erudaSrc = '//cdn.jsdelivr.net/npm/eruda'
  if (location.href.indexOf('test-pumanpig-ui') > -1 ||
    location.href.indexOf('eruda=true') > -1 ||
    localStorage.getItem('active-eruda') === 'true') {
    document.write('<script src="' + erudaSrc + '"></script>')
    document.write('<script>eruda.init();</script>')
  }
}


